str2iso_639_1 = {'Abkhaz': 'ab',
                 'Afar': 'aa',
                 'Afrikaans': 'af',
                 'Akan': 'ak',
                 'Albanian': 'sq',
                 'Amharic': 'am',
                 'Arabic': 'ar',
                 'Aragonese': 'an',
                 'Armenian': 'hy',
                 'Assamese': 'as',
                 'Avaric': 'av',
                 'Avestan': 'ae',
                 'Aymara': 'ay',
                 'Azerbaijani': 'az',
                 'Bambara': 'bm',
                 'Bashkir': 'ba',
                 'Basque': 'eu',
                 'Belarusian': 'be',
                 'Bengali': 'bn',
                 'Bangla': 'bn',
                 'Bihari': 'bh',
                 'Bislama': 'bi',
                 'Bosnian': 'bs',
                 'Breton': 'br',
                 'Bulgarian': 'bg',
                 'Burmese': 'my',
                 'Catalan': 'ca',
                 'Valencian': 'ca',
                 'Chamorro': 'ch',
                 'Chechen': 'ce',
                 'Chichewa': 'ny',
                 'Chewa': 'ny',
                 'Nyanja': 'ny',
                 'Chinese': 'zh',
                 'Chuvash': 'cv',
                 'Cornish': 'kw',
                 'Corsican': 'co',
                 'Cree': 'cr',
                 'Croatian': 'hr',
                 'Czech': 'cs',
                 'Danish': 'da',
                 'Divehi': 'dv',
                 'Dhivehi': 'dv',
                 'Maldivian': 'dv',
                 'Dutch': 'nl',
                 'Dzongkha': 'dz',
                 'English': 'en',
                 'Esperanto': 'eo',
                 'Estonian': 'et',
                 'Ewe': 'ee',
                 'Faroese': 'fo',
                 'Fijian': 'fj',
                 'Finnish': 'fi',
                 'French': 'fr',
                 'Fula': 'ff',
                 'Fulah': 'ff',
                 'Pulaar': 'ff',
                 'Pular': 'ff',
                 'Galician': 'gl',
                 'Ganda': 'lg',
                 'Georgian': 'ka',
                 'German': 'de',
                 'Greek': 'el',
                 'Greek, Modern': 'el',
                 'Greek (Modern)': 'el',
                 'Guaraní': 'gn',
                 'Gujarati': 'gu',
                 'Haitian': 'ht',
                 'Haitian Creole': 'ht',
                 'Hausa': 'ha',
                 'Hebrew': 'he',
                 'Hebrew, Modern': 'he',
                 'Hebrew (Modern)': 'he',
                 'Herero': 'hz',
                 'Hindi': 'hi',
                 'Hiri Motu': 'ho',
                 'Hungarian': 'hu',
                 'Icelandic': 'is',
                 'Ido': 'io',
                 'Igbo': 'ig',
                 'Indonesian': 'id',
                 'Interlingua': 'ia',
                 'Interlingue': 'ie',
                 'Inuktitut': 'iu',
                 'Inupiaq': 'ik',
                 'Irish': 'ga',
                 'Italian': 'it',
                 'Japanese': 'ja',
                 'Javanese': 'jv',
                 'Kalaallisut': 'kl',
                 'Greenlandic': 'kl',
                 'Kannada': 'kn',
                 'Kanuri': 'kr',
                 'Kashmiri': 'ks',
                 'Kazakh': 'kk',
                 'Khmer': 'km',
                 'Kikuyu': 'ki',
                 'Gikuyu': 'ki',
                 'Kinyarwanda': 'rw',
                 'Kirundi': 'rn',
                 'Komi': 'kv',
                 'Kongo': 'kg',
                 'Korean': 'ko',
                 'Kurdish': 'ku',
                 'Kwanyama': 'kj',
                 'Kuanyama': 'kj',
                 'Kyrgyz': 'ky',
                 'Lao': 'lo',
                 'Latin': 'la',
                 'Latvian': 'lv',
                 'Limburgish': 'li',
                 'Limburgan': 'li',
                 'Limburger': 'li',
                 'Lingala': 'ln',
                 'Lithuanian': 'lt',
                 'Luba-Katanga': 'lu',
                 'Luxembourgish': 'lb',
                 'Letzeburgesch': 'lb',
                 'Macedonian': 'mk',
                 'Malagasy': 'mg',
                 'Malay': 'ms',
                 'Malayalam': 'ml',
                 'Maltese': 'mt',
                 'Manx': 'gv',
                 'Marathi (Marāṭhī)': 'mr',
                 'Marathi': 'mr',
                 'Marāṭhī': 'mr',
                 'Marshallese': 'mh',
                 'Mongolian': 'mn',
                 'Māori': 'mi',
                 'Nauru': 'na',
                 'Navajo, Navaho': 'nv',
                 'Ndonga': 'ng',
                 'Nepali': 'ne',
                 'North Ndebele': 'nd',
                 'Northern Sami': 'se',
                 'Norwegian': 'no',
                 'Norwegian Bokmål': 'nb',
                 'Norwegian Nynorsk': 'nn',
                 'Nuosu': 'ii',
                 'Occitan': 'oc',
                 'Ojibwe': 'oj',
                 'Ojibwa': 'oj',
                 'Old Church Slavonic': 'cu', 
                 'Church Slavonic': 'cu',
                 'Old Bulgarian': 'cu',
                 'Oriya': 'or',
                 'Oromo': 'om',
                 'Ossetian': 'os',
                 'Ossetic': 'os',
                 'Panjabi': 'pa',
                 'Punjabi': 'pa',
                 'Pashto': 'ps',
                 'Pushto': 'ps',
                 'Persian (Farsi)': 'fa',
                 'Persian': 'fa',
                 'Farsi': 'fa',
                 'Polish': 'pl',
                 'Portuguese': 'pt',
                 'Pāli': 'pi',
                 'Quechua': 'qu',
                 'Romanian': 'ro',
                 'Romansh': 'rm',
                 'Russian': 'ru',
                 'Samoan': 'sm',
                 'Sango': 'sg',
                 'Sanskrit (Saṁskṛta)': 'sa',
                 'Sanskrit': 'sa',
                 'Saṁskṛta': 'sa',
                 'Sardinian': 'sc',
                 'Scottish Gaelic': 'gd',
                 'Gaelic': 'gd',
                 'Serbian': 'sr',
                 'Shona': 'sn',
                 'Sindhi': 'sd',
                 'Sinhala': 'si',
                 'Sinhalese': 'si',
                 'Slovak': 'sk',
                 'Slovene': 'sl',
                 'Somali': 'so',
                 'South Azerbaijani': 'az',
                 'South Ndebele': 'nr',
                 'Southern Sotho': 'st',
                 'Spanish': 'es',
                 'Castilian': 'es',
                 'Sundanese': 'su',
                 'Swahili': 'sw',
                 'Swati': 'ss',
                 'Swedish': 'sv',
                 'Tagalog': 'tl',
                 'Tahitian': 'ty',
                 'Tajik': 'tg',
                 'Tamil': 'ta',
                 'Tatar': 'tt',
                 'Telugu': 'te',
                 'Thai': 'th',
                 'Tibetan Standard, Tibetan, Central': 'bo',
                 'Tibetan, Central': 'bo',
                 'Tibetan Standard': 'bo',
                 'Tibetan': 'bo',
                 'Tigrinya': 'ti',
                 'Tonga (Tonga Islands)': 'to',
                 'Tonga': 'to',
                 'Tonga Islands': 'to',
                 'Tsonga': 'ts',
                 'Tswana': 'tn',
                 'Turkish': 'tr',
                 'Turkmen': 'tk',
                 'Twi': 'tw',
                 'Ukrainian': 'uk',
                 'Urdu': 'ur',
                 'Uyghur': 'ug',
                 'Uighur': 'ug',
                 'Uzbek': 'uz',
                 'Venda': 've',
                 'Vietnamese': 'vi',
                 'Volapük': 'vo',
                 'Walloon': 'wa',
                 'Welsh': 'cy',
                 'Western Frisian': 'fy',
                 'Wolof': 'wo',
                 'Xhosa': 'xh',
                 'Yiddish': 'yi',
                 'Yoruba': 'yo',
                 'Zhuang': 'za',
                 'Chuang': 'za',
                 'Zulu': 'zu'}

str2iso_639_2T = {'Abkhaz': 'abk',
                  'Afar': 'aar',
                  'Afrikaans': 'afr',
                  'Akan': 'aka',
                  'Albanian': 'sqi',
                  'Amharic': 'amh',
                  'Arabic': 'ara',
                  'Aragonese': 'arg',
                  'Armenian': 'hye',
                  'Assamese': 'asm',
                  'Avaric': 'ava',
                  'Avestan': 'ave',
                  'Aymara': 'aym',
                  'Azerbaijani': 'aze',
                  'Bambara': 'bam',
                  'Bashkir': 'bak',
                  'Basque': 'eus',
                  'Belarusian': 'bel',
                  'Bengali': 'ben',
                  'Bangla': 'ben',
                  'Bihari': 'bih',
                  'Bislama': 'bis',
                  'Bosnian': 'bos',
                  'Breton': 'bre',
                  'Bulgarian': 'bul',
                  'Burmese': 'mya',
                  'Catalan': 'cat',
                  'Valencian': 'cat',
                  'Chamorro': 'cha',
                  'Chechen': 'che',
                  'Chichewa': 'nya',
                  'Chewa': 'nya',
                  'Nyanja': 'nya',
                  'Chinese': 'zho',
                  'Chuvash': 'chv',
                  'Cornish': 'cor',
                  'Corsican': 'cos',
                  'Cree': 'cre',
                  'Croatian': 'hrv',
                  'Czech': 'ces',
                  'Danish': 'dan',
                  'Divehi': 'div',
                  'Dhivehi': 'div',
                  'Maldivian': 'div',
                  'Dutch': 'nld',
                  'Dzongkha': 'dzo',
                  'English': 'eng',
                  'Esperanto': 'epo',
                  'Estonian': 'est',
                  'Ewe': 'ewe',
                  'Faroese': 'fao',
                  'Fijian': 'fij',
                  'Finnish': 'fin',
                  'French': 'fra',
                  'Fula': 'ful',
                  'Fulah': 'ful',
                  'Pulaar': 'ful',
                  'Pular': 'ful',
                  'Galician': 'glg',
                  'Ganda': 'lug',
                  'Georgian': 'kat',
                  'German': 'deu',
                  'Greek': 'ell',
                  'Greek, Modern': 'ell',
                  'Greek (Modern)': 'ell',
                  'Guaraní': 'grn',
                  'Gujarati': 'guj',
                  'Haitian': 'hat',
                  'Haitian Creole': 'hat',
                  'Hausa': 'hau',
                  'Hebrew': 'heb',
                  'Hebrew, Modern': 'heb',
                  'Hebrew (Modern)': 'heb',
                  'Herero': 'her',
                  'Hindi': 'hin',
                  'Hiri Motu': 'hmo',
                  'Hungarian': 'hun',
                  'Icelandic': 'isl',
                  'Ido': 'ido',
                  'Igbo': 'ibo',
                  'Indonesian': 'ind',
                  'Interlingua': 'ina',
                  'Interlingue': 'ile',
                  'Inuktitut': 'iku',
                  'Inupiaq': 'ipk',
                  'Irish': 'gle',
                  'Italian': 'ita',
                  'Japanese': 'jpn',
                  'Javanese': 'jav',
                  'Kalaallisut': 'kal',
                  'Greenlandic': 'kal',
                  'Kannada': 'kan',
                  'Kanuri': 'kau',
                  'Kashmiri': 'kas',
                  'Kazakh': 'kaz',
                  'Khmer': 'khm',
                  'Kikuyu': 'kik',
                  'Gikuyu': 'kik',
                  'Kinyarwanda': 'kin',
                  'Kirundi': 'run',
                  'Komi': 'kom',
                  'Kongo': 'kon',
                  'Korean': 'kor',
                  'Kurdish': 'kur',
                  'Kwanyama': 'kua',
                  'Kuanyama': 'kua',
                  'Kyrgyz': 'kir',
                  'Lao': 'lao',
                  'Latin': 'lat',
                  'Latvian': 'lav',
                  'Limburgish': 'lim',
                  'Limburgan': 'lim',
                  'Limburger': 'lim',
                  'Lingala': 'lin',
                  'Lithuanian': 'lit',
                  'Luba-Katanga': 'lub',
                  'Luxembourgish': 'ltz',
                  'Letzeburgesch': 'ltz',
                  'Macedonian': 'mkd',
                  'Malagasy': 'mlg',
                  'Malay': 'msa',
                  'Malayalam': 'mal',
                  'Maltese': 'mlt',
                  'Manx': 'glv',
                  'Marathi': 'mar',
                  'Marāṭhī': 'mar',
                  'Marathi (Marāṭhī)': 'mar',
                  'Marshallese': 'mah',
                  'Mongolian': 'mon',
                  'Māori': 'mri',
                  'Nauru': 'nau',
                  'Navajo': 'nav',
                  'Navaho': 'nav',
                  'Ndonga': 'ndo',
                  'Nepali': 'nep',
                  'North Ndebele': 'nde',
                  'Northern Sami': 'sme',
                  'Norwegian': 'nor',
                  'Norwegian Bokmål': 'nob',
                  'Norwegian Nynorsk': 'nno',
                  'Nuosu': 'iii',
                  'Occitan': 'oci',
                  'Ojibwe': 'oji',
                  'Ojibwa': 'oji',
                  'Old Church Slavonic': 'chu',
                  'Church Slavonic': 'chu',
                  'Old Bulgarian': 'chu',
                  'Oriya': 'ori',
                  'Oromo': 'orm',
                  'Ossetian': 'oss',
                  'Ossetic': 'oss',
                  'Panjabi': 'pan',
                  'Punjabi': 'pan',
                  'Pashto, Pushto': 'pus',
                  'Pashto': 'pus',
                  'Persian': 'fas',
                  'Farsi': 'fas',
                  'Persian (Farsi)': 'fas',
                  'Polish': 'pol',
                  'Portuguese': 'por',
                  'Pāli': 'pli',
                  'Quechua': 'que',
                  'Romanian': 'ron',
                  'Romansh': 'roh',
                  'Russian': 'rus',
                  'Samoan': 'smo',
                  'Sango': 'sag',
                  'Sanskrit': 'san',
                  'Saṁskṛta': 'san',
                  'Sanskrit (Saṁskṛta)': 'san',
                  'Sardinian': 'srd',
                  'Scottish Gaelic': 'gla',
                  'Gaelic': 'gla',
                  'Serbian': 'srp',
                  'Shona': 'sna',
                  'Sindhi': 'snd',
                  'Sinhala': 'sin',
                  'Sinhalese': 'sin',
                  'Slovak': 'slk',
                  'Slovene': 'slv',
                  'Somali': 'som',
                  'South Azerbaijani': 'azb',
                  'South Ndebele': 'nbl',
                  'Southern Sotho': 'sot',
                  'Spanish': 'spa',
                  'Castilian': 'spa',
                  'Sundanese': 'sun',
                  'Swahili': 'swa',
                  'Swati': 'ssw',
                  'Swedish': 'swe',
                  'Tagalog': 'tgl',
                  'Tahitian': 'tah',
                  'Tajik': 'tgk',
                  'Tamil': 'tam',
                  'Tatar': 'tat',
                  'Telugu': 'tel',
                  'Thai': 'tha',
                  'Tibetan Standard': 'bod',
                  'Tibetan, Central': 'bod',
                  'Tibetan': 'bod',
                  'Tibetan Standard, Tibetan, Central': 'bod',
                  'Tigrinya': 'tir',
                  'Tonga': 'ton',
                  'Tonga Islands': 'ton',
                  'Tonga (Tonga Islands)': 'ton',
                  'Tsonga': 'tso',
                  'Tswana': 'tsn',
                  'Turkish': 'tur',
                  'Turkmen': 'tuk',
                  'Twi': 'twi',
                  'Ukrainian': 'ukr',
                  'Urdu': 'urd',
                  'Uyghur, Uighur': 'uig',
                  'Uzbek': 'uzb',
                  'Venda': 'ven',
                  'Vietnamese': 'vie',
                  'Volapük': 'vol',
                  'Walloon': 'wln',
                  'Welsh': 'cym',
                  'Western Frisian': 'fry',
                  'Wolof': 'wol',
                  'Xhosa': 'xho',
                  'Yiddish': 'yid',
                  'Yoruba': 'yor',
                  'Zhuang': 'zha',
                  'Chuang': 'zha',
                  'Zulu': 'zul'}

str2iso_639_2B = {'Abkhaz': 'abk',
                  'Afar': 'aar',
                  'Afrikaans': 'afr',
                  'Akan': 'aka',
                  'Albanian': 'alb',
                  'Amharic': 'amh',
                  'Arabic': 'ara',
                  'Aragonese': 'arg',
                  'Armenian': 'arm',
                  'Assamese': 'asm',
                  'Avaric': 'ava',
                  'Avestan': 'ave',
                  'Aymara': 'aym',
                  'Azerbaijani': 'aze',
                  'Bambara': 'bam',
                  'Bashkir': 'bak',
                  'Basque': 'baq',
                  'Belarusian': 'bel',
                  'Bengali': 'ben',
                  'Bangla': 'ben',
                  'Bihari': 'bih',
                  'Bislama': 'bis',
                  'Bosnian': 'bos',
                  'Breton': 'bre',
                  'Bulgarian': 'bul',
                  'Burmese': 'bur',
                  'Catalan': 'cat',
                  'Valencian': 'cat',
                  'Chamorro': 'cha',
                  'Chechen': 'che',
                  'Chichewa': 'nya',
                  'Chewa': 'nya',
                  'Nyanja': 'nya',
                  'Chinese': 'chi',
                  'Chuvash': 'chv',
                  'Cornish': 'cor',
                  'Corsican': 'cos',
                  'Cree': 'cre',
                  'Croatian': 'hrv',
                  'Czech': 'cze',
                  'Danish': 'dan',
                  'Divehi': 'div',
                  'Dhivehi': 'div',
                  'Maldivian': 'div',
                  'Dutch': 'dut',
                  'Dzongkha': 'dzo',
                  'English': 'eng',
                  'Esperanto': 'epo',
                  'Estonian': 'est',
                  'Ewe': 'ewe',
                  'Faroese': 'fao',
                  'Fijian': 'fij',
                  'Finnish': 'fin',
                  'French': 'fre',
                  'Fula': 'ful',
                  'Fulah': 'ful',
                  'Pulaar': 'ful',
                  'Pular': 'ful',
                  'Galician': 'glg',
                  'Ganda': 'lug',
                  'Georgian': 'geo',
                  'German': 'ger',
                  'Greek': 'gre',
                  'Greek, Modern': 'gre',
                  'Greek (Modern)': 'gre',
                  'Guaraní': 'grn',
                  'Gujarati': 'guj',
                  'Haitian': 'hat',
                  'Haitian Creole': 'hat',
                  'Hausa': 'hau',
                  'Hebrew': 'heb',
                  'Hebrew, Modern': 'heb',
                  'Hebrew (Modern)': 'heb',
                  'Herero': 'her',
                  'Hindi': 'hin',
                  'Hiri Motu': 'hmo',
                  'Hungarian': 'hun',
                  'Icelandic': 'ice',
                  'Ido': 'ido',
                  'Igbo': 'ibo',
                  'Indonesian': 'ind',
                  'Interlingua': 'ina',
                  'Interlingue': 'ile',
                  'Inuktitut': 'iku',
                  'Inupiaq': 'ipk',
                  'Irish': 'gle',
                  'Italian': 'ita',
                  'Japanese': 'jpn',
                  'Javanese': 'jav',
                  'Kalaallisut': 'kal',
                  'Greenlandic': 'kal',
                  'Kannada': 'kan',
                  'Kanuri': 'kau',
                  'Kashmiri': 'kas',
                  'Kazakh': 'kaz',
                  'Khmer': 'khm',
                  'Kikuyu': 'kik',
                  'Gikuyu': 'kik',
                  'Kinyarwanda': 'kin',
                  'Kirundi': 'run',
                  'Komi': 'kom',
                  'Kongo': 'kon',
                  'Korean': 'kor',
                  'Kurdish': 'kur',
                  'Kwanyama': 'kua',
                  'Kuanyama': 'kua',
                  'Kyrgyz': 'kir',
                  'Lao': 'lao',
                  'Latin': 'lat',
                  'Latvian': 'lav',
                  'Limburgish': 'lim',
                  'Limburgan': 'lim',
                  'Limburger': 'lim',
                  'Lingala': 'lin',
                  'Lithuanian': 'lit',
                  'Luba-Katanga': 'lub',
                  'Luxembourgish': 'ltz',
                  'Letzeburgesch': 'ltz',
                  'Macedonian': 'mac',
                  'Malagasy': 'mlg',
                  'Malay': 'may',
                  'Malayalam': 'mal',
                  'Maltese': 'mlt',
                  'Manx': 'glv',
                  'Marathi': 'mar',
                  'Marāṭhī': 'mar',
                  'Marathi (Marāṭhī)': 'mar',
                  'Marshallese': 'mah',
                  'Mongolian': 'mon',
                  'Māori': 'mao',
                  'Nauru': 'nau',
                  'Navajo, Navaho': 'nav',
                  'Ndonga': 'ndo',
                  'Nepali': 'nep',
                  'North Ndebele': 'nde',
                  'Northern Sami': 'sme',
                  'Norwegian': 'nor',
                  'Norwegian Bokmål': 'nob',
                  'Norwegian Nynorsk': 'nno',
                  'Nuosu': 'iii',
                  'Occitan': 'oci',
                  'Ojibwe': 'oji',
                  'Ojibwa': 'oji',
                  'Old Church Slavonic': 'chu',
                  'Church Slavonic': 'chu',
                  'Old Bulgarian': 'chu',
                  'Oriya': 'ori',
                  'Oromo': 'orm',
                  'Ossetian': 'oss',
                  'Ossetic': 'oss',
                  'Panjabi': 'pan',
                  'Punjabi': 'pan',
                  'Pashto': 'pus',
                  'Pushto': 'pus',
                  'Persian': 'per',
                  'Farsi': 'per',
                  'Persian (Farsi)': 'per',
                  'Polish': 'pol',
                  'Portuguese': 'por',
                  'Pāli': 'pli',
                  'Quechua': 'que',
                  'Romanian': 'rum',
                  'Romansh': 'roh',
                  'Russian': 'rus',
                  'Samoan': 'smo',
                  'Sango': 'sag',
                  'Sanskrit': 'san',
                  'Saṁskṛta': 'san',
                  'Sanskrit (Saṁskṛta)': 'san',
                  'Sardinian': 'srd',
                  'Scottish Gaelic': 'gla',
                  'Gaelic': 'gla',
                  'Serbian': 'srp',
                  'Shona': 'sna',
                  'Sindhi': 'snd',
                  'Sinhala': 'sin',
                  'Sinhalese': 'sin',
                  'Slovak': 'slo',
                  'Slovene': 'slv',
                  'Somali': 'som',
                  'South Azerbaijani': 'azb',
                  'South Ndebele': 'nbl',
                  'Southern Sotho': 'sot',
                  'Spanish': 'spa',
                  'Castilian': 'spa',
                  'Sundanese': 'sun',
                  'Swahili': 'swa',
                  'Swati': 'ssw',
                  'Swedish': 'swe',
                  'Tagalog': 'tgl',
                  'Tahitian': 'tah',
                  'Tajik': 'tgk',
                  'Tamil': 'tam',
                  'Tatar': 'tat',
                  'Telugu': 'tel',
                  'Thai': 'tha',
                  'Tibetan Standard': 'tib',
                  'Tibetan, Central': 'tib',
                  'Tibetan': 'tib',
                  'Tigrinya': 'tir',
                  'Tonga': 'ton',
                  'Tonga Islands': 'ton',
                  'Tonga (Tonga Islands)': 'ton',
                  'Tsonga': 'tso',
                  'Tswana': 'tsn',
                  'Turkish': 'tur',
                  'Turkmen': 'tuk',
                  'Twi': 'twi',
                  'Ukrainian': 'ukr',
                  'Urdu': 'urd',
                  'Uyghur': 'uig',
                  'Uighur': 'uig',
                  'Uzbek': 'uzb',
                  'Venda': 'ven',
                  'Vietnamese': 'vie',
                  'Volapük': 'vol',
                  'Walloon': 'wln',
                  'Welsh': 'wel',
                  'Western Frisian': 'fry',
                  'Wolof': 'wol',
                  'Xhosa': 'xho',
                  'Yiddish': 'yid',
                  'Yoruba': 'yor',
                  'Zhuang': 'zha',
                  'Chuang': 'zha',
                  'Zulu': 'zul'}

str2iso_639_3 = {'Abkhaz': 'abk',
                 'Afar': 'aar',
                 'Afrikaans': 'afr',
                 'Akan': 'aka',
                 'Albanian': 'sqi',
                 'Amharic': 'amh',
                 'Arabic': 'ara',
                 'Aragonese': 'arg',
                 'Armenian': 'hye',
                 'Assamese': 'asm',
                 'Avaric': 'ava',
                 'Avestan': 'ave',
                 'Aymara': 'aym',
                 'Azerbaijani': 'aze',
                 'Bambara': 'bam',
                 'Bashkir': 'bak',
                 'Basque': 'eus',
                 'Belarusian': 'bel',
                 'Bengali': 'ben',
                 'Bangla': 'ben',
                 'Bislama': 'bis',
                 'Bosnian': 'bos',
                 'Breton': 'bre',
                 'Bulgarian': 'bul',
                 'Burmese': 'mya',
                 'Catalan': 'cat',
                 'Valencian': 'cat',
                 'Chamorro': 'cha',
                 'Chechen': 'che',
                 'Chichewa': 'nya',
                 'Chewa': 'nya',
                 'Nyanja': 'nya',
                 'Chinese': 'zho',
                 'Chuvash': 'chv',
                 'Cornish': 'cor',
                 'Corsican': 'cos',
                 'Cree': 'cre',
                 'Croatian': 'hrv',
                 'Czech': 'ces',
                 'Danish': 'dan',
                 'Divehi': 'div',
                 'Dhivehi': 'div',
                 'Maldivian': 'div',
                 'Dutch': 'nld',
                 'Dzongkha': 'dzo',
                 'English': 'eng',
                 'Esperanto': 'epo',
                 'Estonian': 'est',
                 'Ewe': 'ewe',
                 'Faroese': 'fao',
                 'Fijian': 'fij',
                 'Finnish': 'fin',
                 'French': 'fra',
                 'Fula': 'ful',
                 'Fulah': 'ful',
                 'Pulaar': 'ful',
                 'Pular': 'ful',
                 'Galician': 'glg',
                 'Ganda': 'lug',
                 'Georgian': 'kat',
                 'German': 'deu',
                 'Greek': 'ell',
                 'Greek, Modern': 'ell',
                 'Greek (Modern)': 'ell',
                 'Guaraní': 'grn',
                 'Gujarati': 'guj',
                 'Haitian': 'hat',
                 'Haitian Creole': 'hat',
                 'Hausa': 'hau',
                 'Hebrew': 'heb',
                 'Hebrew, Modern': 'heb',
                 'Hebrew (Modern)': 'heb',
                 'Herero': 'her',
                 'Hindi': 'hin',
                 'Hiri Motu': 'hmo',
                 'Hungarian': 'hun',
                 'Icelandic': 'isl',
                 'Ido': 'ido',
                 'Igbo': 'ibo',
                 'Indonesian': 'ind',
                 'Interlingua': 'ina',
                 'Interlingue': 'ile',
                 'Inuktitut': 'iku',
                 'Inupiaq': 'ipk',
                 'Irish': 'gle',
                 'Italian': 'ita',
                 'Japanese': 'jpn',
                 'Javanese': 'jav',
                 'Kalaallisut': 'kal',
                 'Greenlandic': 'kal',
                 'Kannada': 'kan',
                 'Kanuri': 'kau',
                 'Kashmiri': 'kas',
                 'Kazakh': 'kaz',
                 'Khmer': 'khm',
                 'Kikuyu': 'kik',
                 'Gikuyu': 'kik',
                 'Kinyarwanda': 'kin',
                 'Kirundi': 'run',
                 'Komi': 'kom',
                 'Kongo': 'kon',
                 'Korean': 'kor',
                 'Kurdish': 'kur',
                 'Kwanyama': 'kua',
                 'Kuanyama': 'kua',
                 'Kyrgyz': 'kir',
                 'Lao': 'lao',
                 'Latin': 'lat',
                 'Latvian': 'lav',
                 'Limburgish': 'lim',
                 'Limburgan': 'lim',
                 'Limburger': 'lim',
                 'Lingala': 'lin',
                 'Lithuanian': 'lit',
                 'Luba-Katanga': 'lub',
                 'Luxembourgish': 'ltz',
                 'Letzeburgesch': 'ltz',
                 'Macedonian': 'mkd',
                 'Malagasy': 'mlg',
                 'Malay': 'msa',
                 'Malayalam': 'mal',
                 'Maltese': 'mlt',
                 'Manx': 'glv',
                 'Marathi': 'mar',
                 'Marāṭhī': 'mar',
                 'Marathi (Marāṭhī)': 'mar',
                 'Marshallese': 'mah',
                 'Mongolian': 'mon',
                 'Māori': 'mri',
                 'Nauru': 'nau',
                 'Navajo': 'nav',
                 'Navaho': 'nav',
                 'Ndonga': 'ndo',
                 'Nepali': 'nep',
                 'North Ndebele': 'nde',
                 'Northern Sami': 'sme',
                 'Norwegian': 'nor',
                 'Norwegian Bokmål': 'nob',
                 'Norwegian Nynorsk': 'nno',
                 'Nuosu': 'iii',
                 'Occitan': 'oci',
                 'Ojibwe': 'oji',
                 'Ojibwa': 'oji',
                 'Old Church Slavonic': 'chu',
                 'Church Slavonic': 'chu',
                 'Old Bulgarian': 'chu',
                 'Oriya': 'ori',
                 'Oromo': 'orm',
                 'Ossetian': 'oss',
                 'Ossetic': 'oss',
                 'Panjabi': 'pan',
                 'Punjabi': 'pan',
                 'Pashto': 'pus',
                 'Pushto': 'pus',
                 'Persian': 'fas',
                 'Farsi': 'fas',
                 'Persian (Farsi)': 'fas',
                 'Polish': 'pol',
                 'Portuguese': 'por',
                 'Pāli': 'pli',
                 'Quechua': 'que',
                 'Romanian': 'ron',
                 'Romansh': 'roh',
                 'Russian': 'rus',
                 'Samoan': 'smo',
                 'Sango': 'sag',
                 'Sanskrit': 'san',
                 'Saṁskṛta': 'san',
                 'Sanskrit (Saṁskṛta)': 'san',
                 'Sardinian': 'srd',
                 'Scottish Gaelic': 'gla',
                 'Gaelic': 'gla',
                 'Serbian': 'srp',
                 'Shona': 'sna',
                 'Sindhi': 'snd',
                 'Sinhala': 'sin',
                 'Sinhalese': 'sin',
                 'Slovak': 'slk',
                 'Slovene': 'slv',
                 'Somali': 'som',
                 'South Azerbaijani': 'azb',
                 'South Ndebele': 'nbl',
                 'Southern Sotho': 'sot',
                 'Spanish': 'spa',
                 'Castilian': 'spa',
                 'Sundanese': 'sun',
                 'Swahili': 'swa',
                 'Swati': 'ssw',
                 'Swedish': 'swe',
                 'Tagalog': 'tgl',
                 'Tahitian': 'tah',
                 'Tajik': 'tgk',
                 'Tamil': 'tam',
                 'Tatar': 'tat',
                 'Telugu': 'tel',
                 'Thai': 'tha',
                 'Tibetan Standard': 'bod',
                 'Tibetan, Central': 'bod',
                 'Tibetan': 'bod',
                 'Tigrinya': 'tir',
                 'Tonga': 'ton',
                 'Tonga Islands': 'ton',
                 'Tonga (Tonga Islands)': 'ton',
                 'Tsonga': 'tso',
                 'Tswana': 'tsn',
                 'Turkish': 'tur',
                 'Turkmen': 'tuk',
                 'Twi': 'twi',
                 'Ukrainian': 'ukr',
                 'Urdu': 'urd',
                 'Uyghur, Uighur': 'uig',
                 'Uzbek': 'uzb',
                 'Venda': 'ven',
                 'Vietnamese': 'vie',
                 'Volapük': 'vol',
                 'Walloon': 'wln',
                 'Welsh': 'cym',
                 'Western Frisian': 'fry',
                 'Wolof': 'wol',
                 'Xhosa': 'xho',
                 'Yiddish': 'yid',
                 'Yoruba': 'yor',
                 'Zhuang': 'zha',
                 'Chuang': 'zha',
                 'Zulu': 'zul'}


def convert(isoType, langName):
	if isoType == '639-1' or isoType == '1' or isoType == 1:
		return str2iso_639_1[langName]
	elif isoType == '639-2T' or isoType == '2T':
		return str2iso_639_2T[langName]
	elif isoType == '639-2B' or isoType == '2B':
		return str2iso_639_2B[langName]
	elif isoType == '639-3' or isoType == '3' or isoType == 3:
		return str2iso_639_3[langName]
